Bug 611474 - SELinux is preventing /bin/bash "getattr" access on /usr/bin/cancel.cups.
Summary: SELinux is preventing /bin/bash "getattr" access on /usr/bin/cancel.cups.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:23b33b08819...
Keywords:
: 611475 611477 611478 611479 611480 611481 611482 611483 611484 611509 611510 611513 611514 611516 611517 611518 611519 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-05 12:05 UTC by mathepic
Modified: 2010-12-22 13:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 13:01:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mathepic 2010-07-05 12:05:02 UTC
Summary:

SELinux is preventing /bin/bash "getattr" access on /usr/bin/cancel.cups.

Detailed Description:

SELinux denied access requested by gdm. It is not expected that this access is
required by gdm and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lpr_exec_t:s0
Target Objects                /usr/bin/cancel.cups [ file ]
Source                        gdm
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.7-1.fc13
Target RPM Packages           cups-1.4.4-5.fc13
Policy RPM                    selinux-policy-3.7.19-28.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11
                              09:38:12 UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Sun 04 Jul 2010 10:00:51 PM EDT
Last Seen                     Mon 05 Jul 2010 07:52:54 AM EDT
Local ID                      f985743d-0d22-4fe7-93e7-5121f9d4fa35
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278330774.168:14): avc:  denied  { getattr } for  pid=1377 comm="gdm" path="/usr/bin/cancel.cups" dev=sda3 ino=36069 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278330774.168:14): arch=c000003e syscall=4 success=no exit=-13 a0=1a7fed0 a1=7fff447b5ee0 a2=7fff447b5ee0 a3=10 items=0 ppid=1 pid=1377 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="gdm" exe="/bin/bash" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,gdm,xdm_t,lpr_exec_t,file,getattr
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t lpr_exec_t:file getattr;

Comment 1 Miroslav Grepl 2010-07-07 08:08:07 UTC
*** Bug 611475 has been marked as a duplicate of this bug. ***

Comment 2 Miroslav Grepl 2010-07-07 08:08:24 UTC
*** Bug 611477 has been marked as a duplicate of this bug. ***

Comment 3 Miroslav Grepl 2010-07-07 08:08:44 UTC
*** Bug 611478 has been marked as a duplicate of this bug. ***

Comment 4 Miroslav Grepl 2010-07-07 08:08:58 UTC
*** Bug 611479 has been marked as a duplicate of this bug. ***

Comment 5 Miroslav Grepl 2010-07-07 08:09:14 UTC
*** Bug 611480 has been marked as a duplicate of this bug. ***

Comment 6 Miroslav Grepl 2010-07-07 08:09:27 UTC
*** Bug 611481 has been marked as a duplicate of this bug. ***

Comment 7 Miroslav Grepl 2010-07-07 08:09:44 UTC
*** Bug 611482 has been marked as a duplicate of this bug. ***

Comment 8 Miroslav Grepl 2010-07-07 08:09:59 UTC
*** Bug 611483 has been marked as a duplicate of this bug. ***

Comment 9 Miroslav Grepl 2010-07-07 08:10:16 UTC
*** Bug 611484 has been marked as a duplicate of this bug. ***

Comment 10 Miroslav Grepl 2010-07-07 08:10:56 UTC
*** Bug 611509 has been marked as a duplicate of this bug. ***

Comment 11 Miroslav Grepl 2010-07-07 08:11:14 UTC
*** Bug 611510 has been marked as a duplicate of this bug. ***

Comment 12 Miroslav Grepl 2010-07-07 08:12:25 UTC
*** Bug 611513 has been marked as a duplicate of this bug. ***

Comment 13 Miroslav Grepl 2010-07-07 08:13:01 UTC
*** Bug 611514 has been marked as a duplicate of this bug. ***

Comment 14 Miroslav Grepl 2010-07-07 08:13:22 UTC
*** Bug 611516 has been marked as a duplicate of this bug. ***

Comment 15 Miroslav Grepl 2010-07-07 08:13:42 UTC
*** Bug 611517 has been marked as a duplicate of this bug. ***

Comment 16 Miroslav Grepl 2010-07-07 08:14:01 UTC
*** Bug 611518 has been marked as a duplicate of this bug. ***

Comment 17 Miroslav Grepl 2010-07-07 08:14:16 UTC
*** Bug 611519 has been marked as a duplicate of this bug. ***

Comment 18 Daniel Walsh 2010-07-29 17:22:53 UTC
Did something add /usr/bin/cancel.cups to /etc/profile.d/*

Comment 19 Daniel Walsh 2010-08-19 11:37:32 UTC
Any update on this?

Comment 20 Fedora Admin XMLRPC Client 2010-11-08 21:48:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 21 Fedora Admin XMLRPC Client 2010-11-08 21:50:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 Fedora Admin XMLRPC Client 2010-11-08 21:51:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.